summaryrefslogtreecommitdiff
path: root/.local
diff options
context:
space:
mode:
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/dwmbar/dwmb-battery15
-rwxr-xr-x.local/bin/dwmbar/dwmb-date6
-rwxr-xr-x.local/bin/dwmbar/dwmb-eselect2
-rwxr-xr-x.local/bin/dwmbar/dwmb-layout2
-rwxr-xr-x.local/bin/dwmbar/dwmb-mail12
5 files changed, 18 insertions, 19 deletions
diff --git a/.local/bin/dwmbar/dwmb-battery b/.local/bin/dwmbar/dwmb-battery
index 007bae4..2062468 100755
--- a/.local/bin/dwmbar/dwmb-battery
+++ b/.local/bin/dwmbar/dwmb-battery
@@ -4,26 +4,25 @@
# to charge status.
case $BLOCK_BUTTON in
- 3) notify-send " Battery module" " : discharging
- : not charging
- : stagnant charge
+3) notify-send " Battery module" " : discharging
 : charging
+󰚦 : not charging
 : charged
- : battery very low!" ;;
+ : discharging
+ : battery very low!" ;;
esac
# acpi alternative
# acpi | sed "s/Battery [0-9]: //;s/[Dd]ischarging, / /;s/[Nn]ot charging, / /;s/[Cc]harging, / /;s/[Uu]nknown, /♻️/;s/[Ff]ull, / /;s/ \(remaining\|until charged\)//"; exit
# Loop through all attached batteries.
-for battery in /sys/class/power_supply/BAT?
-do
+for battery in /sys/class/power_supply/BAT?; do
# Get its remaining capacity and charge status.
capacity=$(cat "$battery"/capacity 2>/dev/null) || break
- status=$(sed "s/[Dd]ischarging/ /;s/[Nn]ot charging/ /;s/[Cc]harging/ /;s/[Uu]nknown/♻️/;s/[Ff]ull/ /" "$battery"/status)
+ status=$(sed "s/[Dd]ischarging/ /;s/[Nn]ot charging/󰚦 /;s/[Cc]harging/ /;s/[Uu]nknown/ /;s/[Ff]ull/ /" "$battery"/status)
# If it is discharging and 25% or less, we will add a  as a warning.
- [ "$capacity" -le 25 ] && [ "$status" = " " ] && warn=" "
+ [ "$capacity" -le 25 ] && [ "$status" = " " ] && warn=" "
printf "%s%s%s%%" " $status" "$warn" "$capacity"
unset warn
diff --git a/.local/bin/dwmbar/dwmb-date b/.local/bin/dwmbar/dwmb-date
index 1943f10..4caf8b4 100755
--- a/.local/bin/dwmbar/dwmb-date
+++ b/.local/bin/dwmbar/dwmb-date
@@ -1,8 +1,8 @@
#!/bin/sh
-date +"  %a %b %d "
+date +"  %a %b %d"
case $BLOCK_BUTTON in
- 1) notify-send -a " Calendar" "$(cal | tail -n +2)" ;;
- 6) "$TERMINAL" -e "$EDITOR" "$0" ;;
+1) notify-send -a " Calendar" "$(cal | tail -n +2)" ;;
+6) "$TERMINAL" -e "$EDITOR" "$0" ;;
esac
diff --git a/.local/bin/dwmbar/dwmb-eselect b/.local/bin/dwmbar/dwmb-eselect
index 2544ab4..b2e8600 100755
--- a/.local/bin/dwmbar/dwmb-eselect
+++ b/.local/bin/dwmbar/dwmb-eselect
@@ -1,6 +1,6 @@
#!/bin/sh
-icon=" "
+icon=""
total="$(eselect news count all)"
unread="$(eselect news count new)"
diff --git a/.local/bin/dwmbar/dwmb-layout b/.local/bin/dwmbar/dwmb-layout
index 26b62c5..9416a2e 100755
--- a/.local/bin/dwmbar/dwmb-layout
+++ b/.local/bin/dwmbar/dwmb-layout
@@ -1,3 +1,3 @@
#!/bin/sh
-echo "  $(cat $HOME/.cache/layout) "
+echo " $(cat $HOME/.cache/layout)"
diff --git a/.local/bin/dwmbar/dwmb-mail b/.local/bin/dwmbar/dwmb-mail
index 3cda519..1d78528 100755
--- a/.local/bin/dwmbar/dwmb-mail
+++ b/.local/bin/dwmbar/dwmb-mail
@@ -4,17 +4,17 @@
# When clicked, brings up `neomutt`.
case $BLOCK_BUTTON in
- 1) setsid -f "$TERMINAL" -e neomutt && mw -Y;;
- 2) setsid -f mw -Y ;;
- 3) notify-send " Mail module" "\- Shows unread mail
+1) setsid -f "$TERMINAL" -e neomutt && mw -Y ;;
+2) setsid -f mw -Y ;;
+3) notify-send " Mail module" "\- Shows unread mail
- Shows  if syncing mail
- Left click opens neomutt
- Middle click syncs mail" ;;
- 6) "$TERMINAL" -e "$EDITOR" "$0" ;;
+6) "$TERMINAL" -e "$EDITOR" "$0" ;;
esac
unread="$(find "${XDG_DATA_HOME:-$HOME/.local/share}"/mail/*/*/new/* -type f | wc -l 2>/dev/null)"
-pidof mbsync >/dev/null 2>&1 && icon=" "
+pidof mbsync >/dev/null 2>&1 && icon=" "
-[ "$unread" = "0" ] && [ "$icon" = "" ] || echo "  $unread $icon"
+[ "$unread" = "0" ] && [ "$icon" = "" ] || echo "  $unread$icon"